Turn off the use of O_DIRECT in the local-disk manager plugin. This fixes 
strange I/O problems that a few people sometimes experience.

Apply with:
cd /usr/src/evms-2.1.0/
patch -p1 < localdskmgr_no_odirect.patch
make
make install


diff -Naur evms-2.1.0/plugins/disk/localdskmgr.c evms-2.1.0a/plugins/disk/localdskmgr.c
--- evms-2.1.0/plugins/disk/localdskmgr.c	2003-06-26 11:09:38.000000000 -0500
+++ evms-2.1.0a/plugins/disk/localdskmgr.c	2003-07-17 11:22:54.000000000 -0500
@@ -275,7 +275,7 @@
 	}
 
 	if (*fd <= 0) {
-		*fd = EngFncs->open_object(disk, O_RDWR | O_DIRECT | O_SYNC);
+		*fd = EngFncs->open_object(disk, O_RDWR | O_SYNC);
 		if (*fd < 0) {
 			rc = -*fd;
 			LOG_DEBUG("Error opening disk %s: %d: %s\n",
